import 'package:easy_pin_code/easy_pin_code.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Example',
      theme: ThemeData(
        primarySwatch: Colors.blue
      ),
      home: TestWidget()
    );
  }
}

class TestWidget extends StatefulWidget {
  TestWidget({Key? key}) : super(key: key);

  @override
  _TestWidgetState createState() => _TestWidgetState();
}

class _TestWidgetState extends State<TestWidget> {
  final TextEditingController _controller = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
          appBar: AppBar(
            title: const Text('Example')
          ),
          body: Container(
            padding: const EdgeInsets.all(10),
            width: double.infinity,
            alignment: Alignment.center,
            child: Column(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                EasyPinCode(
                  length: 4,
                  controller: _controller,
                  autoSubmit: true,
                  type: EasyPinCodeType.displayedValueSquare,
                  marginBetween: 10,
                  onSubmit: (value) async {
                    await Future.delayed(const Duration(seconds: 3));
                    const snackBar = SnackBar(
                      content: Text('Yay! A SnackBar!'),
                    );

                    // Find the ScaffoldMessenger in the widget tree
                    // and use it to show a SnackBar.
                    ScaffoldMessenger.of(context).showSnackBar(snackBar);
                    _controller.clear();
                  }
                )
              ]
            )
          )
    );
  }
}